diff --git a/doc/bashref.cp b/doc/bashref.cp
index e4c1a13a..70954d02 100644
--- a/doc/bashref.cp
+++ b/doc/bashref.cp
@@ -42,7 +42,7 @@
 \entry{parameters}{18}{parameters}
 \entry{variable, shell}{18}{variable, shell}
 \entry{shell variable}{18}{shell variable}
-\entry{parameters, positional}{19}{parameters, positional}
+\entry{parameters, positional}{20}{parameters, positional}
 \entry{parameters, special}{20}{parameters, special}
 \entry{expansion}{21}{expansion}
 \entry{brace expansion}{21}{brace expansion}
@@ -62,18 +62,18 @@
 \entry{pathname expansion}{30}{pathname expansion}
 \entry{pattern matching}{30}{pattern matching}
 \entry{matching, pattern}{30}{matching, pattern}
-\entry{redirection}{31}{redirection}
+\entry{redirection}{32}{redirection}
 \entry{command expansion}{35}{command expansion}
 \entry{command execution}{36}{command execution}
 \entry{command search}{36}{command search}
-\entry{execution environment}{36}{execution environment}
-\entry{environment}{37}{environment}
+\entry{execution environment}{37}{execution environment}
+\entry{environment}{38}{environment}
 \entry{exit status}{38}{exit status}
-\entry{signal handling}{38}{signal handling}
+\entry{signal handling}{39}{signal handling}
 \entry{shell script}{39}{shell script}
 \entry{special builtin}{68}{special builtin}
-\entry{login shell}{81}{login shell}
-\entry{interactive shell}{81}{interactive shell}
+\entry{login shell}{82}{login shell}
+\entry{interactive shell}{82}{interactive shell}
 \entry{startup files}{82}{startup files}
 \entry{interactive shell}{83}{interactive shell}
 \entry{shell, interactive}{83}{shell, interactive}
diff --git a/doc/bashref.cps b/doc/bashref.cps
index 97c6c160..9a46c6cc 100644
--- a/doc/bashref.cps
+++ b/doc/bashref.cps
@@ -36,10 +36,10 @@
 \entry {directory stack}{90}
 \initial {E}
 \entry {editing command lines}{102}
-\entry {environment}{37}
+\entry {environment}{38}
 \entry {evaluation, arithmetic}{87}
 \entry {event designators}{135}
-\entry {execution environment}{36}
+\entry {execution environment}{37}
 \entry {exit status}{3, 38}
 \entry {expansion}{21}
 \entry {expansion, arithmetic}{29}
@@ -67,7 +67,7 @@
 \entry {initialization file, readline}{104}
 \entry {installation}{138}
 \entry {interaction, readline}{101}
-\entry {interactive shell}{81, 83}
+\entry {interactive shell}{82, 83}
 \entry {internationalization}{7}
 \initial {J}
 \entry {job}{3}
@@ -77,7 +77,7 @@
 \entry {killing text}{103}
 \initial {L}
 \entry {localization}{7}
-\entry {login shell}{81}
+\entry {login shell}{82}
 \initial {M}
 \entry {matching, pattern}{30}
 \entry {metacharacter}{3}
@@ -90,7 +90,7 @@
 \initial {P}
 \entry {parameter expansion}{23}
 \entry {parameters}{18}
-\entry {parameters, positional}{19}
+\entry {parameters, positional}{20}
 \entry {parameters, special}{20}
 \entry {pathname expansion}{30}
 \entry {pattern matching}{30}
@@ -107,7 +107,7 @@
 \entry {quoting, ANSI}{6}
 \initial {R}
 \entry {Readline, how to use}{100}
-\entry {redirection}{31}
+\entry {redirection}{32}
 \entry {reserved word}{3}
 \entry {restricted shell}{93}
 \entry {return status}{4}
@@ -118,7 +118,7 @@
 \entry {shell variable}{18}
 \entry {shell, interactive}{83}
 \entry {signal}{4}
-\entry {signal handling}{38}
+\entry {signal handling}{39}
 \entry {special builtin}{4, 68}
 \entry {startup files}{82}
 \entry {suspending jobs}{97}
diff --git a/doc/bashref.info b/doc/bashref.info
index 6f60af1c..a8380dac 100644
--- a/doc/bashref.info
+++ b/doc/bashref.info
@@ -2,9 +2,9 @@ This is bashref.info, produced by makeinfo version 4.13 from
 /usr/homes/chet/src/bash/src/doc/bashref.texi.
 
 This text is a brief description of the features that are present in
-the Bash shell (version 4.3, 2 February 2014).
+the Bash shell (version 4.3, 6 September 2014).
 
-   This is Edition 4.3, last updated 2 February 2014, of `The GNU Bash
+   This is Edition 4.3, last updated 6 September 2014, of `The GNU Bash
 Reference Manual', for `Bash', Version 4.3.
 
    Copyright (C) 1988-2014 Free Software Foundation, Inc.
@@ -28,10 +28,10 @@ Bash Features
 *************
 
 This text is a brief description of the features that are present in
-the Bash shell (version 4.3, 2 February 2014).  The Bash home page is
+the Bash shell (version 4.3, 6 September 2014).  The Bash home page is
 `http://www.gnu.org/software/bash/'.
 
-   This is Edition 4.3, last updated 2 February 2014, of `The GNU Bash
+   This is Edition 4.3, last updated 6 September 2014, of `The GNU Bash
 Reference Manual', for `Bash', Version 4.3.
 
    Bash contains features that appear in other popular shells, and some
@@ -561,8 +561,8 @@ File: bashref.info,  Node: Pipelines,  Next: Lists,  Prev: Simple Commands,  Up:
 3.2.2 Pipelines
 ---------------
 
-A `pipeline' is a sequence of simple commands separated by one of the
-control operators `|' or `|&'.
+A `pipeline' is a sequence of one or more commands separated by one of
+the control operators `|' or `|&'.
 
    The format for a pipeline is
      [time [-p]] [!] COMMAND1 [ | or |& COMMAND2 ] ...
@@ -1169,12 +1169,14 @@ no new process is created to interpret them.
 the parentheses are optional.  The BODY of the function is the compound
 command COMPOUND-COMMAND (*note Compound Commands::).  That command is
 usually a LIST enclosed between { and }, but may be any compound
-command listed above.  COMPOUND-COMMAND is executed whenever NAME is
-specified as the name of a command.  When the shell is in POSIX mode
-(*note Bash POSIX Mode::), NAME may not be the same as one of the
-special builtins (*note Special Builtins::).  Any redirections (*note
-Redirections::) associated with the shell function are performed when
-the function is executed.
+command listed above, with one exception: If the `function' reserved
+word is used, but the parentheses are not supplied, the braces are
+required.  COMPOUND-COMMAND is executed whenever NAME is specified as
+the name of a command.  When the shell is in POSIX mode (*note Bash
+POSIX Mode::), NAME may not be the same as one of the special builtins
+(*note Special Builtins::).  Any redirections (*note Redirections::)
+associated with the shell function are performed when the function is
+executed.
 
    A function definition may be deleted using the `-f' option to the
 `unset' builtin (*note Bourne Shell Builtins::).
@@ -1276,45 +1278,48 @@ is not used (*note Arithmetic Expansion::).  Word splitting is not
 performed, with the exception of `"$@"' as explained below.  Filename
 expansion is not performed.  Assignment statements may also appear as
 arguments to the `alias', `declare', `typeset', `export', `readonly',
-and `local' builtin commands.  When in POSIX mode (*note Bash POSIX
-Mode::), these builtins may appear in a command after one or more
-instances of the `command' builtin and retain these assignment
-statement properties.
+and `local' builtin commands (DECLARATION commands).  When in POSIX
+mode (*note Bash POSIX Mode::), these builtins may appear in a command
+after one or more instances of the `command' builtin and retain these
+assignment statement properties.
 
    In the context where an assignment statement is assigning a value to
 a shell variable or array index (*note Arrays::), the `+=' operator can
-be used to append to or add to the variable's previous value.  When
-`+=' is applied to a variable for which the INTEGER attribute has been
-set, VALUE is evaluated as an arithmetic expression and added to the
-variable's current value, which is also evaluated.  When `+=' is
-applied to an array variable using compound assignment (*note
-Arrays::), the variable's value is not unset (as it is when using `='),
-and new values are appended to the array beginning at one greater than
-the array's maximum index (for indexed arrays),  or added as additional
-key-value pairs in an associative array.  When applied to a
-string-valued variable, VALUE is expanded and appended to the
-variable's value.
+be used to append to or add to the variable's previous value.  This
+includes arguments to builtin commands such as `declare' that accept
+assignment statements (DECLARATION commands).  When `+=' is applied to
+a variable for which the INTEGER attribute has been set, VALUE is
+evaluated as an arithmetic expression and added to the variable's
+current value, which is also evaluated.  When `+=' is applied to an
+array variable using compound assignment (*note Arrays::), the
+variable's value is not unset (as it is when using `='), and new values
+are appended to the array beginning at one greater than the array's
+maximum index (for indexed arrays),  or added as additional key-value
+pairs in an associative array.  When applied to a string-valued
+variable, VALUE is expanded and appended to the variable's value.
 
    A variable can be assigned the NAMEREF attribute using the `-n'
 option to the \fBdeclare\fP or \fBlocal\fP builtin commands (*note Bash
 Builtins::) to create a NAMEREF, or a reference to another variable.
 This allows variables to be manipulated indirectly.  Whenever the
-nameref variable is referenced or assigned to, the operation is
-actually performed on the variable specified by the nameref variable's
-value.  A nameref is commonly used within shell functions to refer to a
-variable whose name is passed as an argument to the function.  For
-instance, if a variable name is passed to a shell function as its first
-argument, running
+nameref variable is referenced, assigned to, unset, or has its
+attributes modified (other than the nameref attribute itself), the
+operation is actually performed on the variable specified by the nameref
+variable's value.  A nameref is commonly used within shell functions to
+refer to a variable whose name is passed as an argument to the function.
+For instance, if a variable name is passed to a shell function as its
+first argument, running
      declare -n ref=$1
    inside the function creates a nameref variable REF whose value is
 the variable name passed as the first argument.  References and
-assignments to REF are treated as references and assignments to the
-variable whose name was passed as `$1'.
+assignments to REF, and changes to its attributes, are treated as
+references, assignments, and attribute modifications to the variable
+whose name was passed as `$1'.
 
    If the control variable in a `for' loop has the nameref attribute,
 the list of words can be a list of shell variables, and a name reference
 will be established for each word in the list, in turn, when the loop is
-executed.  Array variables cannot be given the `-n' attribute.
+executed.  Array variables cannot be given the nameref attribute.
 However, nameref variables can reference array variables and subscripted
 array variables.  Namerefs can be unset using the `-n' option to the
 `unset' builtin (*note Bourne Shell Builtins::).  Otherwise, if `unset'
@@ -2622,7 +2627,8 @@ Lists::).
    All of the Bash builtins return an exit status of zero if they
 succeed and a non-zero status on failure, so they may be used by the
 conditional and list constructs.  All builtins return an exit status of
-2 to indicate incorrect usage.
+2 to indicate incorrect usage, generally invalid options or missing
+arguments.
 
 
 File: bashref.info,  Node: Signals,  Prev: Exit Status,  Up: Executing Commands
@@ -2744,7 +2750,7 @@ separate utilities.
 the Bourne Shell, as well as the builtin commands which are unique to
 or have been extended in Bash.
 
-   Several builtin commands are described in other chapters:  builtin
+   Several builtin commands are described in other chapters: builtin
 commands which provide the Bash interface to the job control facilities
 (*note Job Control Builtins::), the directory stack (*note Directory
 Stack Builtins::), the command history (*note Bash History Builtins::),
@@ -2996,16 +3002,21 @@ standard.
 
      Cause a shell function to stop executing and return the value N to
      its caller.  If N is not supplied, the return value is the exit
-     status of the last command executed in the function.  `return' may
-     also be used to terminate execution of a script being executed
-     with the `.' (`source') builtin, returning either N or the exit
-     status of the last command executed within the script as the exit
-     status of the script.  If N is supplied, the return value is its
-     least significant 8 bits.  Any command associated with the
-     `RETURN' trap is executed before execution resumes after the
-     function or script.  The return status is non-zero if `return' is
-     supplied a non-numeric argument or is used outside a function and
-     not during the execution of a script by `.' or `source'.
+     status of the last command executed in the function.  If `return'
+     is executed by a trap handler, the last command used to determine
+     the status is the last command executed before the trap handler.
+     if `return' is executed during a `DEBUG' trap, the last command
+     used to determine the status is the last command executed by the
+     trap handler before `return' was invoked.  `return' may also be
+     used to terminate execution of a script being executed with the
+     `.' (`source') builtin, returning either N or the exit status of
+     the last command executed within the script as the exit status of
+     the script.  If N is supplied, the return value is its least
+     significant 8 bits.  Any command associated with the `RETURN' trap
+     is executed before execution resumes after the function or script.
+     The return status is non-zero if `return' is supplied a non-numeric
+     argument or is used outside a function and not during the
+     execution of a script by `.' or `source'.
 
 `shift'
           shift [N]
@@ -3210,7 +3221,7 @@ POSIX standard.
           bind [-m KEYMAP] -f FILENAME
           bind [-m KEYMAP] -x KEYSEQ:SHELL-COMMAND
           bind [-m KEYMAP] KEYSEQ:FUNCTION-NAME
-          bind READLINE-COMMAND
+          bind [-m KEYMAP] KEYSEQ:READLINE-COMMAND
 
      Display current Readline (*note Command Line Editing::) key and
      function bindings, bind a key sequence to a Readline function or
@@ -3384,10 +3395,11 @@ POSIX standard.
     `-n'
           Give each NAME the NAMEREF attribute, making it a name
           reference to another variable.  That other variable is
-          defined by the value of NAME.  All references and assignments
-          to NAME, except for changing the `-n' attribute itself, are
-          performed on the variable referenced by NAME's value.  The
-          `-n' attribute cannot be applied to array variables.
+          defined by the value of NAME.  All references, assignments,
+          and attribute modifications to NAME, except for changing the
+          `-n' attribute itself, are performed on the variable
+          referenced by NAME's value.  The nameref attribute cannot be
+          applied to array variables.
 
     `-r'
           Make NAMEs readonly.  These names cannot then be assigned
@@ -3565,7 +3577,7 @@ POSIX standard.
      Exit a login shell, returning a status of N to the shell's parent.
 
 `mapfile'
-          mapfile [-n COUNT] [-O ORIGIN] [-s COUNT] [-t] [-u FD]
+          mapfile [-d DELIM] [-n COUNT] [-O ORIGIN] [-s COUNT] [-t] [-u FD]
               [-C CALLBACK] [-c QUANTUM] [ARRAY]
 
      Read lines from the standard input into the indexed array variable
@@ -3573,6 +3585,10 @@ POSIX standard.
      The variable `MAPFILE' is the default ARRAY.  Options, if
      supplied, have the following meanings:
 
+    `-d'
+          The first character of DELIM is used to terminate each input
+          line, rather than newline.
+
     `-n'
           Copy at most COUNT lines.  If COUNT is 0, all lines are
           copied.
@@ -3748,7 +3764,7 @@ POSIX standard.
           Read input from file descriptor FD.
 
 `readarray'
-          readarray [-n COUNT] [-O ORIGIN] [-s COUNT] [-t] [-u FD]
+          readarray [-d DELIM] [-n COUNT] [-O ORIGIN] [-s COUNT] [-t] [-u FD]
               [-C CALLBACK] [-c QUANTUM] [ARRAY]
 
      Read lines from the standard input into the indexed array variable
@@ -3990,7 +4006,7 @@ parameters, or to display the names and values of shell variables.
           completes, the shell prints a line containing its exit status.
 
     `-n'
-          Read commands but do not execute them; this may be used to
+          Read commands but do not execute them.  This may be used to
           check a script for syntax errors.  This option is ignored by
           interactive shells.
 
@@ -4367,16 +4383,17 @@ This builtin allows you to change additional shell optional behavior.
             3. If the command run by the `DEBUG' trap returns a value
                of 2, and the shell is executing in a subroutine (a
                shell function or a shell script executed by the `.' or
-               `source' builtins), a call to `return' is simulated.
+               `source' builtins), the shell simulates a call to
+               `return'.
 
             4. `BASH_ARGC' and `BASH_ARGV' are updated as described in
                their descriptions (*note Bash Variables::).
 
-            5. Function tracing is enabled:  command substitution,
-               shell functions, and subshells invoked with `( COMMAND
-               )' inherit the `DEBUG' and `RETURN' traps.
+            5. Function tracing is enabled: command substitution, shell
+               functions, and subshells invoked with `( COMMAND )'
+               inherit the `DEBUG' and `RETURN' traps.
 
-            6. Error tracing is enabled:  command substitution, shell
+            6. Error tracing is enabled: command substitution, shell
                functions, and subshells invoked with `( COMMAND )'
                inherit the `ERR' trap.
 
@@ -5343,9 +5360,12 @@ single-character options to be recognized.
 invocation which are not available with the `set' builtin.
 
 `-c'
-     Read and execute commands from the first non-option ARGUMENT after
-     processing the options, then exit.  Any remaining arguments are
-     assigned to the positional parameters, starting with `$0'.
+     Read and execute commands from the first non-option argument
+     COMMAND_STRING, then exit.  If there are arguments after the
+     COMMAND_STRING, the first argument is assigned to `$0' and any
+     remaining arguments are assigned to the positional parameters.
+     The assignment to `$0' sets the name of the shell, which is used
+     in warning and error messages.
 
 `-i'
      Force the shell to run interactively.  Interactive shells are
@@ -5939,10 +5959,10 @@ following the alias definition on that line are not affected by the new
 alias.  This behavior is also an issue when functions are executed.
 Aliases are expanded when a function definition is read, not when the
 function is executed, because a function definition is itself a
-compound command.  As a consequence, aliases defined in a function are
-not available until after that function is executed.  To be safe,
-always put alias definitions on a separate line, and do not use `alias'
-in compound commands.
+command.  As a consequence, aliases defined in a function are not
+available until after that function is executed.  To be safe, always put
+alias definitions on a separate line, and do not use `alias' in
+compound commands.
 
    For almost every purpose, shell functions are preferred over aliases.
 
@@ -6403,118 +6423,122 @@ startup files.
  20. POSIX special builtins are found before shell functions during
      command lookup.
 
- 21. The `time' reserved word may be used by itself as a command.  When
+ 21. Literal tildes that appear as the first character in elements of
+     the `PATH' variable are not expanded as described above under
+     *note Tilde Expansion::.
+
+ 22. The `time' reserved word may be used by itself as a command.  When
      used in this way, it displays timing statistics for the shell and
      its completed children.  The `TIMEFORMAT' variable controls the
      format of the timing information.
 
- 22. When parsing and expanding a ${...} expansion that appears within
+ 23. When parsing and expanding a ${...} expansion that appears within
      double quotes, single quotes are no longer special and cannot be
      used to quote a closing brace or other special character, unless
      the operator is one of those defined to perform pattern removal.
      In this case, they do not have to appear as matched pairs.
 
- 23. The parser does not recognize `time' as a reserved word if the next
+ 24. The parser does not recognize `time' as a reserved word if the next
      token begins with a `-'.
 
- 24. If a POSIX special builtin returns an error status, a
+ 25. If a POSIX special builtin returns an error status, a
      non-interactive shell exits.  The fatal errors are those listed in
      the POSIX standard, and include things like passing incorrect
      options, redirection errors, variable assignment errors for
      assignments preceding the command name, and so on.
 
- 25. A non-interactive shell exits with an error status if a variable
+ 26. A non-interactive shell exits with an error status if a variable
      assignment error occurs when no command name follows the assignment
      statements.  A variable assignment error occurs, for example, when
      trying to assign a value to a readonly variable.
 
- 26. A non-interactive shell exits with an error status if a variable
+ 27. A non-interactive shell exits with an error status if a variable
      assignment error occurs in an assignment statement preceding a
      special builtin, but not with any other simple command.
 
- 27. A non-interactive shell exits with an error status if the iteration
+ 28. A non-interactive shell exits with an error status if the iteration
      variable in a `for' statement or the selection variable in a
      `select' statement is a readonly variable.
 
- 28. Process substitution is not available.
+ 29. Process substitution is not available.
 
- 29. While variable indirection is available, it may not be applied to
+ 30. While variable indirection is available, it may not be applied to
      the `#' and `?' special parameters.
 
- 30. Assignment statements preceding POSIX special builtins persist in
+ 31. Assignment statements preceding POSIX special builtins persist in
      the shell environment after the builtin completes.
 
- 31. Assignment statements preceding shell function calls persist in the
+ 32. Assignment statements preceding shell function calls persist in the
      shell environment after the function returns, as if a POSIX
      special builtin command had been executed.
 
- 32. The `export' and `readonly' builtin commands display their output
+ 33. The `export' and `readonly' builtin commands display their output
      in the format required by POSIX.
 
- 33. The `trap' builtin displays signal names without the leading `SIG'.
+ 34. The `trap' builtin displays signal names without the leading `SIG'.
 
- 34. The `trap' builtin doesn't check the first argument for a possible
+ 35. The `trap' builtin doesn't check the first argument for a possible
      signal specification and revert the signal handling to the original
      disposition if it is, unless that argument consists solely of
      digits and is a valid signal number.  If users want to reset the
      handler for a given signal to the original disposition, they
      should use `-' as the first argument.
 
- 35. The `.' and `source' builtins do not search the current directory
+ 36. The `.' and `source' builtins do not search the current directory
      for the filename argument if it is not found by searching `PATH'.
 
- 36. Subshells spawned to execute command substitutions inherit the
+ 37. Subshells spawned to execute command substitutions inherit the
      value of the `-e' option from the parent shell.  When not in POSIX
      mode, Bash clears the `-e' option in such subshells.
 
- 37. Alias expansion is always enabled, even in non-interactive shells.
+ 38. Alias expansion is always enabled, even in non-interactive shells.
 
- 38. When the `alias' builtin displays alias definitions, it does not
+ 39. When the `alias' builtin displays alias definitions, it does not
      display them with a leading `alias ' unless the `-p' option is
      supplied.
 
- 39. When the `set' builtin is invoked without options, it does not
+ 40. When the `set' builtin is invoked without options, it does not
      display shell function names and definitions.
 
- 40. When the `set' builtin is invoked without options, it displays
+ 41. When the `set' builtin is invoked without options, it displays
      variable values without quotes, unless they contain shell
      metacharacters, even if the result contains nonprinting characters.
 
- 41. When the `cd' builtin is invoked in LOGICAL mode, and the pathname
+ 42. When the `cd' builtin is invoked in LOGICAL mode, and the pathname
      constructed from `$PWD' and the directory name supplied as an
      argument does not refer to an existing directory, `cd' will fail
      instead of falling back to PHYSICAL mode.
 
- 42. The `pwd' builtin verifies that the value it prints is the same as
+ 43. The `pwd' builtin verifies that the value it prints is the same as
      the current directory, even if it is not asked to check the file
      system with the `-P' option.
 
- 43. When listing the history, the `fc' builtin does not include an
+ 44. When listing the history, the `fc' builtin does not include an
      indication of whether or not a history entry has been modified.
 
- 44. The default editor used by `fc' is `ed'.
+ 45. The default editor used by `fc' is `ed'.
 
- 45. The `type' and `command' builtins will not report a non-executable
+ 46. The `type' and `command' builtins will not report a non-executable
      file as having been found, though the shell will attempt to
      execute such a file if it is the only so-named file found in
      `$PATH'.
 
- 46. The `vi' editing mode will invoke the `vi' editor directly when
+ 47. The `vi' editing mode will invoke the `vi' editor directly when
      the `v' command is run, instead of checking `$VISUAL' and
      `$EDITOR'.
 
- 47. When the `xpg_echo' option is enabled, Bash does not attempt to
+ 48. When the `xpg_echo' option is enabled, Bash does not attempt to
      interpret any arguments to `echo' as options.  Each argument is
      displayed, after escape characters are converted.
 
- 48. The `ulimit' builtin uses a block size of 512 bytes for the `-c'
+ 49. The `ulimit' builtin uses a block size of 512 bytes for the `-c'
      and `-f' options.
 
- 49. The arrival of `SIGCHLD'  when a trap is set on `SIGCHLD' does not
+ 50. The arrival of `SIGCHLD'  when a trap is set on `SIGCHLD' does not
      interrupt the `wait' builtin and cause it to return immediately.
      The trap command is run once for each child that exits.
 
- 50. The `read' builtin may be interrupted by a signal for which a trap
+ 51. The `read' builtin may be interrupted by a signal for which a trap
      has been set.  If Bash receives a trapped signal while executing
      `read', the trap handler executes and `read' returns an exit
      status greater than 128.
@@ -7140,9 +7164,14 @@ Variable Settings
           Readline attempts to ring the terminal's bell.
 
     `bind-tty-special-chars'
-          If set to `on', Readline attempts to bind the control
-          characters treated specially by the kernel's terminal driver
-          to their Readline equivalents.
+          If set to `on' (the default), Readline attempts to bind the
+          control characters   treated specially by the kernel's
+          terminal driver to their Readline equivalents.
+
+    `blink-matching-paren'
+          If set to `on', Readline attempts to briefly move the cursor
+          to an opening parenthesis when a closing parenthsis is
+          inserted.  The default is `off'.
 
     `colored-stats'
           If set to `on', Readline displays possible completions using
@@ -7767,18 +7796,19 @@ File: bashref.info,  Node: Commands For History,  Next: Commands For Text,  Prev
 
 `forward-search-history (C-s)'
      Search forward starting at the current line and moving `down'
-     through the the history as necessary.  This is an incremental
-     search.
+     through the history as necessary.  This is an incremental search.
 
 `non-incremental-reverse-search-history (M-p)'
      Search backward starting at the current line and moving `up'
      through the history as necessary using a non-incremental search
-     for a string supplied by the user.
+     for a string supplied by the user.  The search string may match
+     anywhere in a history line.
 
 `non-incremental-forward-search-history (M-n)'
      Search forward starting at the current line and moving `down'
-     through the the history as necessary using a non-incremental search
-     for a string supplied by the user.
+     through the history as necessary using a non-incremental search
+     for a string supplied by the user.  The search string may match
+     anywhere in a history line.
 
 `history-search-forward ()'
      Search forward through the history for the string of characters
@@ -7908,7 +7938,7 @@ File: bashref.info,  Node: Commands For Killing,  Next: Numeric Arguments,  Prev
      Kill the text from point to the end of the line.
 
 `backward-kill-line (C-x Rubout)'
-     Kill backward to the beginning of the line.
+     Kill backward from the cursor to the beginning of the current line.
 
 `unix-line-discard (C-u)'
      Kill backward from the cursor to the beginning of the current line.
@@ -9470,7 +9500,7 @@ following options, but it is processed first, so individual options may
 be enabled using `enable-FEATURE'.
 
    All of the following options except for `disabled-builtins',
-`directpand-default', and `xpg-echo-default' are enabled by default,
+`direxpand-default', and `xpg-echo-default' are enabled by default,
 unless the operating system does not provide the necessary support.
 
 `--enable-alias'
@@ -10555,7 +10585,7 @@ D.1 Index of Shell Builtin Commands
 * ::                                     Bourne Shell Builtins.
                                                               (line  11)
 * [:                                     Bourne Shell Builtins.
-                                                              (line 258)
+                                                              (line 263)
 * alias:                                 Bash Builtins.       (line  11)
 * bg:                                    Job Control Builtins.
                                                               (line   7)
@@ -10580,8 +10610,8 @@ D.1 Index of Shell Builtin Commands
                                                               (line   7)
 * disown:                                Job Control Builtins.
                                                               (line  89)
-* echo:                                  Bash Builtins.       (line 245)
-* enable:                                Bash Builtins.       (line 307)
+* echo:                                  Bash Builtins.       (line 246)
+* enable:                                Bash Builtins.       (line 308)
 * eval:                                  Bourne Shell Builtins.
                                                               (line  89)
 * exec:                                  Bourne Shell Builtins.
